{
  "multipart": [
    {
      "apply": {"model": "minecraft:block/oxidized_copper_bars_post"},
      "when": {
        "OR": [
          {"north": "true", "east": "true"},
          {"east": "true", "south": "true"},
          {"south": "true", "west": "true"},
          {"west": "true", "north": "true"},
          {"east": "false", "north": "false", "south": "false", "west": "false"}
        ]
      }
    },
    {
      "apply": {"model": "minecraft:block/oxidized_copper_bars_cap"},
      "when": {
        "east": "false",
        "north": "true",
        "south": "false",
        "west": "false"
      }
    },
    {
      "apply": {"model": "minecraft:block/oxidized_copper_bars_cap", "y": 90},
      "when": {
        "east": "true",
        "north": "false",
        "south": "false",
        "west": "false"
      }
    },
    {
      "apply": {"model": "minecraft:block/oxidized_copper_bars_cap"},
      "when": {
        "east": "false",
        "north": "false",
        "south": "true",
        "west": "false"
      }
    },
    {
      "apply": {"model": "minecraft:block/oxidized_copper_bars_cap", "y": 90},
      "when": {
        "east": "false",
        "north": "false",
        "south": "false",
        "west": "true"
      }
    },
    {
      "apply": {"model": "minecraft:block/oxidized_copper_bars_side"},
      "when": {"north": "true"}
    },
    {
      "apply": {"model": "minecraft:block/oxidized_copper_bars_side", "y": 90},
      "when": {"east": "true"}
    },
    {
      "apply": {"model": "minecraft:block/oxidized_copper_bars_side_alt"},
      "when": {"south": "true"}
    },
    {
      "apply": {"model": "minecraft:block/oxidized_copper_bars_side_alt", "y": 90},
      "when": {"west": "true"}
    }
  ]
}